Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Class AuthConstraintNode_c

    java.lang.Object
      polyglot.ext.jl.ast.Node_c
          jif.ast.ConstraintNode_c
              jif.ast.AuthConstraintNode_c

All Implemented Interfaces:
  java.lang.Cloneable, AuthConstraintNode, ConstraintNode, polyglot.ast.JL, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.util.Copy

    public class AuthConstraintNode_c

extends ConstraintNode_c
implements AuthConstraintNode

An implmentation of the `AuthConstraintNode` interface.

Field Summary
`protected java.util.List` | `principals`

Fields inherited from class jif.ast.ConstraintNode_c
`constraint`

Fields inherited from class polyglot.ext.jl.ast.Node_c
`del, error, ext, position`

Constructor Summary
`AuthConstraintNode_c(polyglot.util.Position pos, java.util.List principals)`

Method Summary
`polyglot.ast.Node` | `disambiguate(polyglot.visit.AmbiguityRemover ar)`
`void` | `prettyPrint(polyglot.util.CodeWriter w, polyglot.visit.PrettyPrinter tr)`
`java.util.List` | `principals()` Gets the list of principal who grants their authorities.
`AuthConstraintNode` | `principals(java.util.List principals)` Returns a copy of this node with the principal list updated.
`protected AuthConstraintNode_c` | `reconstruct(java.util.List principals)`
`void` | `translate(polyglot.util.CodeWriter w, polyglot.visit.Translator tr)`
`polyglot.ast.Node` | `visitChildren(polyglot.visit.NodeVisitor v)`

Methods inherited from class jif.ast.ConstraintNode_c
`constraint, constraint, exceptionCheckEnter, isDisambiguated, toString`

Methods inherited from class polyglot.ext.jl.ast.Node_c
`addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, del, del, disambiguateEnter, disambiguateOverride, dump, dump, dump, enterChildScope, enterScope, error, error, exceptionCheck, ext, ext, ext, ext, init, isTypeChecked, node, position, position, prettyPrint, prettyPrint, print, printBlock, printSubStmt, throwTypes, typeCheck, typeCheckEnter, typeCheckOverride, visit, visitChild, visitEdge, visitList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface jif.ast.ConstraintNode
`constraint, constraint`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypes, buildTypesEnter, checkConstants, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, throwTypes, typeCheck, typeCheckEnter, typeCheckOverride`

Methods inherited from interface polyglot.util.Copy
`copy`

Field Detail

### principals

    protected java.util.List principals

Constructor Detail

### AuthConstraintNode_c

    public AuthConstraintNode_c(polyglot.util.Position pos,
                                java.util.List principals)

Method Detail

### principals

    public java.util.List principals()

  Description copied from interface: `AuthConstraintNode`
  Gets the list of principal who grants their authorities.

  Specified by:
    `principals` in interface `AuthConstraintNode`

### principals

    public AuthConstraintNode principals(java.util.List principals)

  Description copied from interface: `AuthConstraintNode`
  Returns a copy of this node with the principal list updated.

  Specified by:
    `principals` in interface `AuthConstraintNode`

### reconstruct

    protected AuthConstraintNode_c reconstruct(java.util.List principals)

### visitChildren

    public polyglot.ast.Node visitChildren(polyglot.visit.NodeVisitor v)

  Specified by:
    `visitChildren` in interface `polyglot.ast.NodeOps`
  Overrides:
    `visitChildren` in class `polyglot.ext.jl.ast.Node_c`

### disambiguate

    public polyglot.ast.Node disambiguate(polyglot.visit.AmbiguityRemover ar)
                                   throws polyglot.types.SemanticException

  Specified by:
    `disambiguate` in interface `polyglot.ast.NodeOps`
  Overrides:
    `disambiguate` in class `polyglot.ext.jl.ast.Node_c`
  Throws:
    `polyglot.types.SemanticException`

### prettyPrint

    public void prettyPrint(polyglot.util.CodeWriter w,
                            polyglot.visit.PrettyPrinter tr)

  Specified by:
    `prettyPrint` in interface `polyglot.ast.NodeOps`
  Overrides:
    `prettyPrint` in class `polyglot.ext.jl.ast.Node_c`

### translate

    public void translate(polyglot.util.CodeWriter w,
                          polyglot.visit.Translator tr)

  Specified by:
    `translate` in interface `polyglot.ast.NodeOps`
  Overrides:
    `translate` in class `polyglot.ext.jl.ast.Node_c`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD